Open Lighting Architecture: ola::plugin::artnet::ArtNetNode Class Reference

| Open Lighting Architecture 0.10.9

Loading...
Searching...
No Matches
Public Member Functions | List of all members
ola::plugin::artnet::ArtNetNode Class Reference

## Detailed Description

The actual ArtNet Node.

## Public Member Functions
| ArtNetNode (const ola::network::Interface &iface, ola::io::SelectServerInterface *ss, const ArtNetNodeOptions &options, ola::network::UDPSocketInterface *socket=NULL)
bool | Start ()
bool | Stop ()
bool | EnterConfigurationMode ()
bool | ExitConfigurationMode ()
bool | SetShortName (const std::string &name)
std::string | ShortName () const
bool | SetLongName (const std::string &name)
std::string | LongName () const
uint8_t | NetAddress () const
bool | SetNetAddress (uint8_t net_address)
bool | SetSubnetAddress (uint8_t subnet_address)
uint8_t | SubnetAddress () const
uint8_t | InputPortCount () const
bool | SetInputPortUniverse (uint8_t port_id, uint8_t universe_id)
uint8_t | GetInputPortUniverse (uint8_t port_id) const
void | DisableInputPort (uint8_t port_id)
bool | InputPortState (uint8_t port_id) const
bool | SetOutputPortUniverse (uint8_t port_id, uint8_t universe_id)
uint8_t | GetOutputPortUniverse (uint8_t port_id)
void | DisableOutputPort (uint8_t port_id)
bool | OutputPortState (uint8_t port_id) const
void | SetBroadcastThreshold (unsigned int threshold)
bool | SetMergeMode (uint8_t port_id, artnet_merge_mode merge_mode)
bool | SendPoll ()
bool | SendDMX (uint8_t port_id, const ola::DmxBuffer &buffer)
void | RunFullDiscovery (uint8_t port_id, ola::rdm::RDMDiscoveryCallback *callback)
| Trigger full discovery for a port.
void | RunIncrementalDiscovery (uint8_t port_id, ola::rdm::RDMDiscoveryCallback *callback)
| Trigger incremental discovery for a port.
void | SendRDMRequest (uint8_t port_id, ola::rdm::RDMRequest *request, ola::rdm::RDMCallback *on_complete)
| Send a RDM request by passing it though the Queuing Controller.
bool | SetUnsolicitedUIDSetHandler (uint8_t port_id, ola::Callback1< void, const ola::rdm::UIDSet & > *on_tod)
void | GetSubscribedNodes (uint8_t port_id, std::vector< ola::network::IPV4Address > *node_addresses)
bool | SetDMXHandler (uint8_t port_id, DmxBuffer *buffer, ola::Callback0< void > *handler)
bool | SendTod (uint8_t port_id, const ola::rdm::UIDSet &uid_set)
bool | SetOutputPortRDMHandlers (uint8_t port_id, ola::Callback0< void > *on_discover, ola::Callback0< void > *on_flush, ola::Callback2< void, ola::rdm::RDMRequest *, ola::rdm::RDMCallback * > *on_rdm_request)
bool | SendTimeCode (const ola::timecode::TimeCode &timecode)

The documentation for this class was generated from the following files:

- plugins/artnet/ArtNetNode.h
- plugins/artnet/ArtNetNode.cpp